Chat Dataset

Chat endpoint that processes user input with LLM and MCP video search integration for a specific dataset.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
chat_request_textstring or nullOptional
User's chat input text
upload_idstring or nullOptional
Upload ID of the user's input image
history_chat_messageslist of maps from strings to any or nullOptional

Conversation history (does not include current message)

Response

Successful Response
chat_response_textstring
LLM response text
tool_resultslist of objects
Results from MCP tools invoked during this request.
history_chat_messageslist of maps from strings to any

Conversation history (includes current message)

suggested_follow_upslist of strings

Suggested follow-up messages to continue the conversation

Errors

422
Unprocessable Entity Error